Bug 462431 - Dual Monitor setup + cant fully drag app between screens
Dual Monitor setup + cant fully drag app between screens
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: metacity (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-16 04:00 EDT by Jóhann B. Guðmundsson
Modified: 2014-06-18 05:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:19:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log .xsession-errors xorg.conf output of xrandr (8.92 KB, application/x-gzip)
2008-09-16 04:00 EDT, Jóhann B. Guðmundsson
no flags Details
/etc/X11/xorg.conf (1.17 KB, text/plain)
2008-09-17 07:58 EDT, Matěj Cepl
no flags Details
/var/log/Xorg.0.log (130.03 KB, text/plain)
2008-09-17 07:58 EDT, Matěj Cepl
no flags Details
output of xrandr (847 bytes, text/plain)
2008-09-17 07:59 EDT, Matěj Cepl
no flags Details
~/.xsession-errors (2.87 KB, text/plain)
2008-09-17 07:59 EDT, Matěj Cepl
no flags Details

  None (edit)
Description Jóhann B. Guðmundsson 2008-09-16 04:00:53 EDT
Created attachment 316821 [details]
Xorg.0.log .xsession-errors xorg.conf output of xrandr

Description of problem:

After I log into Gnome I'm unable to drag applications between 
screens. 

For example I start firefox then going to move it to 
the second monitor and while moving it stop about 2 inches 
away from the edge of the monitor ( moving it on the monitor to the right ) 

I start pidgin and i'm unable to move it more then 3 inches to the right 
screen. 

I'm able to put the panel on the right screen no problem, 

I'm able to move the mouse between screens.

Now here comes the interesting part...

To bypass this I go to System --> Hardware --> Screen resolution
and change the refresh rate from 75 Hz to 60 Hz and things work normally!!!
( If I log out I need to change the refresh rate again from 60 Hz to 75 hz )  

I don't know if this is related or another bug but somehow tux typing is able
to alter your settings from spanning desktop to "mirrored screens"..

Start the game ( and the game starts in "mirrored screens" output ) quit the game your display is set to "mirrored screen" output 
( instead of spanning desktop )

Can be fixed with System --> Hardware --> Screen resolution..

Version-Release number of selected component (if applicable):

xorg-x11-server-Xorg-1.5.0-1.fc9.x86_64
xorg-x11-drv-nv-2.1.10-1.fc9.x86_64

How reproducible:

Log in - log out

Steps to Reproduce:
1.Log in - log out or restart X
2.
3.
  
Actual results:

Unable to fully move apps between screens

Expected results:

Being able to fully move apps between screens

Additional info:

http://www.smolts.org/client/show/pub_16526c25-1e83-48cc-a6ca-578ee503c31e
Comment 1 Matěj Cepl 2008-09-16 11:19:49 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Jóhann B. Guðmundsson 2008-09-16 11:46:51 EDT
First take a look at the attachment I attached to the report!

Second since when did X cope using 2 monitors without an xorg.conf in F9

Are you saying that the Virtual Display issue has been fixed?
Comment 3 Matěj Cepl 2008-09-17 07:58:25 EDT
Created attachment 316947 [details]
/etc/X11/xorg.conf
Comment 4 Matěj Cepl 2008-09-17 07:58:54 EDT
Created attachment 316948 [details]
/var/log/Xorg.0.log
Comment 5 Matěj Cepl 2008-09-17 07:59:16 EDT
Created attachment 316949 [details]
output of xrandr
Comment 6 Matěj Cepl 2008-09-17 07:59:50 EDT
Created attachment 316950 [details]
~/.xsession-errors
Comment 7 Jóhann B. Guðmundsson 2008-09-17 08:28:22 EDT
Matej.

Do developers ( atleast X ) prefer each ( log )
file as an separated attachments instead of 
all files in a single tar ball? 
( Good to know for future reports )
Comment 8 Matěj Cepl 2008-09-18 04:28:10 EDT
(In reply to comment #7)
> Matej.
> 
> Do developers ( atleast X ) prefer each ( log )
> file as an separated attachments instead of 
> all files in a single tar ball? 
> ( Good to know for future reports )

Yes, we certainly prefer each log to be in its own attachment. Then we can do things like

curl 'https://bugzilla.redhat.com/attachment.cgi?id=316948' \
    | grep -E '^\s*(EE|WW)'

which helps a lot when you have a lot of bugs to deal with.
Comment 9 Adam Jackson 2008-09-22 20:20:36 EDT
This is almost certainly a metacity bug.
Comment 10 Jóhann B. Guðmundsson 2008-11-25 09:47:54 EST
So I quote Pink Floyd - Comfortably Numb lyric.. 
( http://www.youtube.com/watch?v=ZB1cNkC71vE )

"Hello.
Is there anybody in there?
Just nod if you can hear me.
Is there anyone home?"

Just checking for status update...

Is this being worked on?

Any further info needed?
Comment 11 Bug Zapper 2009-06-09 22:44:11 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2009-07-14 13:19:12 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.